Create status update
curl --request POST \
--url https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Organization-Id: <x-organization-id>' \
--data '
{
"title": "Elevated API errors",
"body": "We are investigating elevated error rates.",
"state": "draft",
"updateType": "incident",
"impact": "minor",
"components": [
{
"monitorId": "ny4xotpq1ff8h9tjifqvr4b8",
"status": "degraded"
},
{
"staticComponentId": "egk41orhvr3g9w6bzy37l6it",
"status": "partial_outage"
}
]
}
'import requests
url = "https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates"
payload = {
"title": "Elevated API errors",
"body": "We are investigating elevated error rates.",
"state": "draft",
"updateType": "incident",
"impact": "minor",
"components": [
{
"monitorId": "ny4xotpq1ff8h9tjifqvr4b8",
"status": "degraded"
},
{
"staticComponentId": "egk41orhvr3g9w6bzy37l6it",
"status": "partial_outage"
}
]
}
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Organization-Id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Elevated API errors',
body: JSON.stringify('We are investigating elevated error rates.'),
state: 'draft',
updateType: 'incident',
impact: 'minor',
components: [
{monitorId: 'ny4xotpq1ff8h9tjifqvr4b8', status: 'degraded'},
{staticComponentId: 'egk41orhvr3g9w6bzy37l6it', status: 'partial_outage'}
]
})
};
fetch('https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Elevated API errors',
'body' => 'We are investigating elevated error rates.',
'state' => 'draft',
'updateType' => 'incident',
'impact' => 'minor',
'components' => [
[
'monitorId' => 'ny4xotpq1ff8h9tjifqvr4b8',
'status' => 'degraded'
],
[
'staticComponentId' => 'egk41orhvr3g9w6bzy37l6it',
'status' => 'partial_outage'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Organization-Id: <x-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates"
payload := strings.NewReader("{\n \"title\": \"Elevated API errors\",\n \"body\": \"We are investigating elevated error rates.\",\n \"state\": \"draft\",\n \"updateType\": \"incident\",\n \"impact\": \"minor\",\n \"components\": [\n {\n \"monitorId\": \"ny4xotpq1ff8h9tjifqvr4b8\",\n \"status\": \"degraded\"\n },\n {\n \"staticComponentId\": \"egk41orhvr3g9w6bzy37l6it\",\n \"status\": \"partial_outage\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Organization-Id", "<x-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates")
.header("X-Organization-Id", "<x-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Elevated API errors\",\n \"body\": \"We are investigating elevated error rates.\",\n \"state\": \"draft\",\n \"updateType\": \"incident\",\n \"impact\": \"minor\",\n \"components\": [\n {\n \"monitorId\": \"ny4xotpq1ff8h9tjifqvr4b8\",\n \"status\": \"degraded\"\n },\n {\n \"staticComponentId\": \"egk41orhvr3g9w6bzy37l6it\",\n \"status\": \"partial_outage\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Organization-Id"] = '<x-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Elevated API errors\",\n \"body\": \"We are investigating elevated error rates.\",\n \"state\": \"draft\",\n \"updateType\": \"incident\",\n \"impact\": \"minor\",\n \"components\": [\n {\n \"monitorId\": \"ny4xotpq1ff8h9tjifqvr4b8\",\n \"status\": \"degraded\"\n },\n {\n \"staticComponentId\": \"egk41orhvr3g9w6bzy37l6it\",\n \"status\": \"partial_outage\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "g130iubq9uifopmsg2ewdzvf",
"statusPageId": "ue36sb5hjehntxcd7iau14cz",
"responseIncidentId": null,
"title": "Elevated API errors",
"body": "We are investigating elevated error rates.",
"state": "draft",
"updateType": "incident",
"impact": "minor",
"publishedAt": null,
"createdByUserId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"createdAt": "2026-09-27T14:20:35.280Z",
"updatedAt": "2026-09-27T14:20:35.280Z"
}{
"message": [
"body should not be empty",
"body must be a string",
"state must be one of the following values: draft, published",
"updateType must be one of the following values: incident, maintenance, informational",
"impact must be one of the following values: none, minor, major, critical"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Monitor not found",
"error": "Not Found",
"statusCode": 404
}Status Pages
Create status update
Authentication: API key with the incidents:write scope, or a user session. Role: member, admin or owner. Records who created the resource, so organization keys (gm_api_) receive 403; use a personal key or a session.
POST
/
api
/
v1
/
status-pages
/
{statusPageId}
/
updates
Create status update
curl --request POST \
--url https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Organization-Id: <x-organization-id>' \
--data '
{
"title": "Elevated API errors",
"body": "We are investigating elevated error rates.",
"state": "draft",
"updateType": "incident",
"impact": "minor",
"components": [
{
"monitorId": "ny4xotpq1ff8h9tjifqvr4b8",
"status": "degraded"
},
{
"staticComponentId": "egk41orhvr3g9w6bzy37l6it",
"status": "partial_outage"
}
]
}
'import requests
url = "https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates"
payload = {
"title": "Elevated API errors",
"body": "We are investigating elevated error rates.",
"state": "draft",
"updateType": "incident",
"impact": "minor",
"components": [
{
"monitorId": "ny4xotpq1ff8h9tjifqvr4b8",
"status": "degraded"
},
{
"staticComponentId": "egk41orhvr3g9w6bzy37l6it",
"status": "partial_outage"
}
]
}
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Organization-Id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Elevated API errors',
body: JSON.stringify('We are investigating elevated error rates.'),
state: 'draft',
updateType: 'incident',
impact: 'minor',
components: [
{monitorId: 'ny4xotpq1ff8h9tjifqvr4b8', status: 'degraded'},
{staticComponentId: 'egk41orhvr3g9w6bzy37l6it', status: 'partial_outage'}
]
})
};
fetch('https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Elevated API errors',
'body' => 'We are investigating elevated error rates.',
'state' => 'draft',
'updateType' => 'incident',
'impact' => 'minor',
'components' => [
[
'monitorId' => 'ny4xotpq1ff8h9tjifqvr4b8',
'status' => 'degraded'
],
[
'staticComponentId' => 'egk41orhvr3g9w6bzy37l6it',
'status' => 'partial_outage'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Organization-Id: <x-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates"
payload := strings.NewReader("{\n \"title\": \"Elevated API errors\",\n \"body\": \"We are investigating elevated error rates.\",\n \"state\": \"draft\",\n \"updateType\": \"incident\",\n \"impact\": \"minor\",\n \"components\": [\n {\n \"monitorId\": \"ny4xotpq1ff8h9tjifqvr4b8\",\n \"status\": \"degraded\"\n },\n {\n \"staticComponentId\": \"egk41orhvr3g9w6bzy37l6it\",\n \"status\": \"partial_outage\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Organization-Id", "<x-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates")
.header("X-Organization-Id", "<x-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Elevated API errors\",\n \"body\": \"We are investigating elevated error rates.\",\n \"state\": \"draft\",\n \"updateType\": \"incident\",\n \"impact\": \"minor\",\n \"components\": [\n {\n \"monitorId\": \"ny4xotpq1ff8h9tjifqvr4b8\",\n \"status\": \"degraded\"\n },\n {\n \"staticComponentId\": \"egk41orhvr3g9w6bzy37l6it\",\n \"status\": \"partial_outage\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/status-pages/{statusPageId}/updates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Organization-Id"] = '<x-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Elevated API errors\",\n \"body\": \"We are investigating elevated error rates.\",\n \"state\": \"draft\",\n \"updateType\": \"incident\",\n \"impact\": \"minor\",\n \"components\": [\n {\n \"monitorId\": \"ny4xotpq1ff8h9tjifqvr4b8\",\n \"status\": \"degraded\"\n },\n {\n \"staticComponentId\": \"egk41orhvr3g9w6bzy37l6it\",\n \"status\": \"partial_outage\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "g130iubq9uifopmsg2ewdzvf",
"statusPageId": "ue36sb5hjehntxcd7iau14cz",
"responseIncidentId": null,
"title": "Elevated API errors",
"body": "We are investigating elevated error rates.",
"state": "draft",
"updateType": "incident",
"impact": "minor",
"publishedAt": null,
"createdByUserId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"createdAt": "2026-09-27T14:20:35.280Z",
"updatedAt": "2026-09-27T14:20:35.280Z"
}{
"message": [
"body should not be empty",
"body must be a string",
"state must be one of the following values: draft, published",
"updateType must be one of the following values: incident, maintenance, informational",
"impact must be one of the following values: none, minor, major, critical"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Monitor not found",
"error": "Not Found",
"statusCode": 404
}Authorizations
apiKeysession
Headers
Body
application/json
Response
Created